Subject: Re: Cygwin slow on x64 systems
From: Vincent Richomme <[email-masked]>
To: David Morgan <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 24 Jan 2010 00:03:24 +0100
List-Id: <cygwin.cygwin.com>

On Sat, 23 Jan 2010 11:19:36 -0600, David Morgan <[email-masked]>
wrote:
> Hello all,
> 
> 	We use cygwin for our build environment, and have observed that 
> everything runs extremely slow on x64 systems, for versions newer than
> approximately 1.5.12 (including 1.7.1).  When I run the following
command
> in BASH,
> 
> while true; do date >> file; done
> 
> on a 1.5.12 Core II system, I get approximately 100 dates per second.  
> On a 1.7.1 Nehalem system, I get approximately 15, and it takes several
> seconds for Ctrl-C to take effect, whereas it's instantaneous on 1.5.12.
> It makes no difference whether I redirect the output or not.
> 
> We have found that the problem was introduced somewhere between 1.5.12 
> and 1.5.24-2.   We have not seen any such slowdown on x86 systems.
> We have observed this on XP x64, Server 2003 R2 x64, and now (with 1.7.1
> only) on Windows 7 x64.
> 
> Can anyone recommend how we could profile this to help isolate the
problem?
> We have vTune and Quantify in-house.

Hope you will find something because I already have reported this but with
no success.
My QuadCore 3.GHz with 4GB feels like an old 386 when running cygwin on
Windows 7 64 bits!

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple